package p2p

import (
	"encoding/json"
	"io"
	"os"
)

const bootnodefile = ".bootnodes.json"

var bootnodes []string

func loadBootnodesFile() {
	file, err := os.Open(bootnodefile)
	if err != nil {
		return
	}
	defer file.Close()

	b, err := io.ReadAll(file)
	if err != nil {
		return
	}
	_ = json.Unmarshal(b, &bootnodes)
	return
}

func attachBootnodeToFile(bootnode string) error {
	for _, node := range bootnodes {
		if node == bootnode {
			return nil
		}
	}
	bootnodes = append(bootnodes, bootnode)
	b, err := json.Marshal(bootnodes)
	if err != nil {
		return err
	}
	file, err := os.OpenFile(bootnodefile, os.O_WRONLY|os.O_CREATE|os.O_TRUNC, 0644)
	if err != nil {
		return err
	}
	defer file.Close()
	_, err = file.Write(b)
	return err

}
