package p2p

import (
	"testing"

	"github.com/ethereum/go-ethereum/p2p/enode"
)

func TestDecodeV5(t *testing.T) {
	nodes := []string{
		"enr:-JG4QL9QdmQjI-AOv-zFL1oaUAcWP6dPXBBOUAEXE_z4KZNfNTYDfmtAvxq-E0Xl1cqWGO_WmPldHoZIaVKzA0moWQ-GAYupV_MKgmlkgnY0gmlwhMCoAdOJc2VjcDI1NmsxoQLvx1jTRx75jpj8jD3KJ3FCZ_6UiICRIQJ_1MWmVx0IbYN0Y3CCdn6DdWRwgnZ-",
		"enr:-JG4QPGTzcn6tp8UqoSmEBBj5f0_42wonWmoedFgvncdZL3Qf0DCEQVzDSHGi9jM35qdD76rvpWFuGpQ_rmoX14ZnACGAYupV_plgmlkgnY0gmlwhMCoAdOJc2VjcDI1NmsxoQLvx1jTRx75jpj8jD3KJ3FCZ_6UiICRIQJ_1MWmVx0IbYN0Y3CCdn6DdWRwgnZ-",
		"enr:-JG4QP1aYRCaCknvIa3hSqE1zAUrm203DNFcvS8E1lQkqHq-PR0sQhIkzK7L4ZLLLPOijD9BTeCLWi8-0LVORt63dimGAYutv-WkgmlkgnY0gmlwhMCoAdyJc2VjcDI1NmsxoQJ81pyuyqa2QoPztOPsCqpkcW1gJwUxOcSJuWr9VUNavIN0Y3CCdn2DdWRwgnZ-",
	}
	r1, r2, r3 := parseGenericAddrs(nodes)
	t.Log(r1)
	t.Log(r2)
	t.Log(r3)

	for _, addr := range r1 {
		bootnode, err := enode.Parse(enode.ValidSchemes, addr)
		if err != nil {
			t.Fatal(err)
		}
		t.Log(bootnode.String())
		maddr, _ := convertToSingleMultiAddr(bootnode)
		t.Log(maddr.String())
	}

}
