package p2p

import (
	"testing"

	pubsubpb "github.com/libp2p/go-libp2p-pubsub/pb"
)

func TestMessageID(t *testing.T) {
	tt := []pubsubpb.Message{
		{
			Data: []byte("hello"),
		},
		{
			Data: []byte("world"),
		},
	}
	wants := []string{
		"2cf24dba5fb0a30e26e83b2ac5b9e29e1b161e5c",
		"486ea46224d1bb4fb680f34f7c9ad96a8f24ec88",
	}

	for i := range tt {
		t.Run(string(tt[i].Data), func(t *testing.T) {
			if msgID(&tt[i]) != wants[i] {
				t.Errorf("Wanted %s, got %s", wants[i], msgID(&tt[i]))
			}
		})
	}
}
